Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(67)

Issue 328040043: [plaso] Changed l2t_csv output module to join MACB timestamps #306 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by Joachim Metz
Modified:
3 months, 3 weeks ago
Reviewers:
onager
CC:
romaing, jberggren, kiddi, log2timeline-dev_googlegroups.com, aaronp
Visibility:
Public.

Description

[plaso] Changed l2t_csv output module to join MACB timestamps #306

Patch Set 1 #

Patch Set 2 : Fixed file size being represented as a tuple #1295 #

Patch Set 3 : Added stats about number of events MACB grouped #

Total comments: 10

Patch Set 4 : Changes after review #

Total comments: 26

Patch Set 5 : Changes after review #

Total comments: 2

Patch Set 6 : Changes after review #

Patch Set 7 : Changes after review #

Total comments: 5
Unified diffs Side-by-side diffs Delta from patch set Stats (+647 lines, -385 lines) Patch
M plaso/lib/definitions.py View 1 chunk +1 line, -0 lines 0 comments Download
M plaso/multi_processing/psort.py View 1 2 3 4 5 7 chunks +132 lines, -157 lines 3 comments Download
M plaso/output/dynamic.py View 1 2 3 4 5 6 12 chunks +25 lines, -25 lines 2 comments Download
M plaso/output/interface.py View 1 2 3 4 5 5 chunks +27 lines, -9 lines 0 comments Download
M plaso/output/l2t_csv.py View 5 chunks +69 lines, -18 lines 0 comments Download
M plaso/output/mediator.py View 1 2 3 4 6 chunks +59 lines, -11 lines 0 comments Download
M plaso/parsers/filestat.py View 1 5 chunks +18 lines, -9 lines 0 comments Download
M plaso/storage/zip_file.py View 2 chunks +6 lines, -0 lines 0 comments Download
M test_data/end_to_end/dynamic.log View 1 1 chunk +4 lines, -4 lines 0 comments Download
M test_data/end_to_end/json.log View 1 1 chunk +6 lines, -6 lines 0 comments Download
M test_data/end_to_end/json_line.log View 1 1 chunk +6 lines, -6 lines 0 comments Download
M test_data/end_to_end/l2tcsv.log View 1 2 3 4 5 6 1 chunk +19 lines, -20 lines 0 comments Download
M test_data/end_to_end/l2ttln.log View 1 1 chunk +4 lines, -4 lines 0 comments Download
M test_data/end_to_end/rawpy.log View 1 5 chunks +16 lines, -16 lines 0 comments Download
M test_data/end_to_end/tln.log View 1 1 chunk +4 lines, -4 lines 0 comments Download
M test_data/pinfo_test.json.plaso View 1 0 chunks +-1 lines, --1 lines 0 comments Download
M test_data/psort_test.json.plaso View 1 0 chunks +-1 lines, --1 lines 0 comments Download
M tests/cli/pinfo_tool.py View 1 3 chunks +12 lines, -10 lines 0 comments Download
M tests/cli/psort_tool.py View 1 2 3 4 5 5 chunks +25 lines, -4 lines 0 comments Download
M tests/multi_processing/psort.py View 1 2 3 4 5 17 chunks +172 lines, -68 lines 0 comments Download
M tests/output/l2t_csv.py View 1 chunk +1 line, -1 line 0 comments Download
M tests/parsers/filestat.py View 1 7 chunks +14 lines, -0 lines 0 comments Download
M tests/storage/zip_file.py View 1 4 chunks +7 lines, -7 lines 0 comments Download
M utils/pylintrc View 1 2 3 4 5 6 3 chunks +22 lines, -8 lines 0 comments Download

Messages

Total messages: 20
Joachim Metz
4 months, 1 week ago (2017-07-15 06:41:58 UTC) #1
Joachim Metz
Code updated.
4 months, 1 week ago (2017-07-15 08:22:53 UTC) #2
Joachim Metz
Code updated.
4 months ago (2017-07-17 18:35:51 UTC) #3
onager
https://codereview.appspot.com/328040043/diff/40001/plaso/multi_processing/psort.py File plaso/multi_processing/psort.py (right): https://codereview.appspot.com/328040043/diff/40001/plaso/multi_processing/psort.py#newcode53 plaso/multi_processing/psort.py:53: int: identifier of the event MACB group or None ...
4 months ago (2017-07-18 14:33:16 UTC) #4
Joachim Metz
https://codereview.appspot.com/328040043/diff/40001/plaso/multi_processing/psort.py File plaso/multi_processing/psort.py (right): https://codereview.appspot.com/328040043/diff/40001/plaso/multi_processing/psort.py#newcode53 plaso/multi_processing/psort.py:53: int: identifier of the event MACB group or None ...
4 months ago (2017-07-19 03:54:03 UTC) #5
Joachim Metz
Code updated.
4 months ago (2017-07-19 03:59:50 UTC) #6
onager
https://codereview.appspot.com/328040043/diff/60001/plaso/multi_processing/psort.py File plaso/multi_processing/psort.py (right): https://codereview.appspot.com/328040043/diff/60001/plaso/multi_processing/psort.py#newcode47 plaso/multi_processing/psort.py:47: Every event contains event data, which consists of attributes ...
4 months ago (2017-07-19 10:09:48 UTC) #7
Joachim Metz
https://codereview.appspot.com/328040043/diff/60001/plaso/multi_processing/psort.py File plaso/multi_processing/psort.py (right): https://codereview.appspot.com/328040043/diff/60001/plaso/multi_processing/psort.py#newcode47 plaso/multi_processing/psort.py:47: Every event contains event data, which consists of attributes ...
4 months ago (2017-07-20 17:44:25 UTC) #8
Joachim Metz
Code updated.
4 months ago (2017-07-20 18:49:17 UTC) #9
Joachim Metz
Code updated.
4 months ago (2017-07-20 18:54:29 UTC) #10
onager
https://codereview.appspot.com/328040043/diff/100001/plaso/multi_processing/psort.py File plaso/multi_processing/psort.py (right): https://codereview.appspot.com/328040043/diff/100001/plaso/multi_processing/psort.py#newcode541 plaso/multi_processing/psort.py:541: output_module.WriteEvent(event) I think there's still a bug here, if ...
4 months ago (2017-07-22 12:44:06 UTC) #11
Joachim Metz
https://codereview.appspot.com/328040043/diff/100001/plaso/multi_processing/psort.py File plaso/multi_processing/psort.py (right): https://codereview.appspot.com/328040043/diff/100001/plaso/multi_processing/psort.py#newcode541 plaso/multi_processing/psort.py:541: output_module.WriteEvent(event) good point, I think you might be right
4 months ago (2017-07-22 13:40:54 UTC) #12
Joachim Metz
Code updated.
3 months, 4 weeks ago (2017-07-22 15:04:58 UTC) #13
Joachim Metz
some remaining issue with the tests for py27 https://travis-ci.org/log2timeline/plaso/jobs/256512334
3 months, 4 weeks ago (2017-07-23 07:23:15 UTC) #14
Joachim Metz
Code updated.
3 months, 4 weeks ago (2017-07-23 12:20:58 UTC) #15
onager
https://codereview.appspot.com/328040043/diff/140001/plaso/multi_processing/psort.py File plaso/multi_processing/psort.py (right): https://codereview.appspot.com/328040043/diff/140001/plaso/multi_processing/psort.py#newcode530 plaso/multi_processing/psort.py:530: if macb_group_identifier is None: What happens if there's a ...
3 months, 3 weeks ago (2017-07-25 08:22:41 UTC) #16
onager
https://codereview.appspot.com/328040043/diff/140001/plaso/multi_processing/psort.py File plaso/multi_processing/psort.py (right): https://codereview.appspot.com/328040043/diff/140001/plaso/multi_processing/psort.py#newcode530 plaso/multi_processing/psort.py:530: if macb_group_identifier is None: On 2017/07/25 08:22:41, onager wrote: ...
3 months, 3 weeks ago (2017-07-25 08:28:20 UTC) #17
Joachim Metz
https://codereview.appspot.com/328040043/diff/140001/plaso/multi_processing/psort.py File plaso/multi_processing/psort.py (right): https://codereview.appspot.com/328040043/diff/140001/plaso/multi_processing/psort.py#newcode530 plaso/multi_processing/psort.py:530: if macb_group_identifier is None: the events are grouped (sorted) ...
3 months, 3 weeks ago (2017-07-25 08:41:46 UTC) #18
onager
On 2017/07/25 08:41:46, Joachim Metz wrote: > https://codereview.appspot.com/328040043/diff/140001/plaso/multi_processing/psort.py > File plaso/multi_processing/psort.py (right): > > https://codereview.appspot.com/328040043/diff/140001/plaso/multi_processing/psort.py#newcode530 ...
3 months, 3 weeks ago (2017-07-25 08:45:27 UTC) #19
Joachim Metz
3 months, 3 weeks ago (2017-07-30 09:52:59 UTC) #20
merged via github due to pylint 1.7 linting conflicts
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld c59f3c4